// packageE/questionnaire/history/history.js
var app = getApp();
var int = (app.globalData.statusBarHeight * 2) + 20;
Page({

  /**
   * 页面的初始数据
   */
  data: {
    statusBarHeight: int,
    page: 1
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getdata();
  },
  back() {
    wx.navigateBack({
      delta: 1,
    });
  },
  godetail(e) {
    console.log(e);
    let id = e.currentTarget.dataset.item.id;
    let qid = e.currentTarget.dataset.item.questionnaire_id;
    wx.navigateTo({
      url: '/packageE/questionnaire/history_details/history_details?id=' + id + '&questionnaire_id=' + qid,
    });
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    if(this.data.current_page >= this.data.last_page){
      return;
    }else{
      let pages = this.data.page + 1;
      this.setData({
        page:pages
      });
      this.getMore();
    }
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  getdata() {
    let that = this;
    let urlStr = app.getNetAddresss("plugin.questionnaire.api.index.indexInfo");
    app._getNetWork({
      url: urlStr,
      data: {
        record: 'record',
        page: this.data.page
      },
      success: function (resdata) {
        var res = resdata.data;
        console.log(res);
        if (res.result == 1) {
          that.setData({
            list: res.data.record.list.data,
            current_page: res.data.record.list.current_page,
            last_page: res.data.record.list.last_page
          });
        } else {
          wx.showToast({
            icon: 'none',
            title: res.msg,
            duration: 1500
          });

        }
      },
      fail: function (res) {
        console.log(res);
      }
    });
  },
  getMore() {
    let that = this;
    let urlStr = app.getNetAddresss("plugin.questionnaire.api.index.indexInfo");
    app._getNetWork({
      url: urlStr,
      data: {
        record: 'record',
        page: this.data.page
      },
      success: function (resdata) {
        var res = resdata.data;
        console.log(res);
        if (res.result == 1) {
          that.setData({
            list: that.data.list.concat(res.data.record.list.data),
            current_page: res.data.record.list.current_page,
            last_page: res.data.record.list.last_page
          });
        } else {
          wx.showToast({
            icon: 'none',
            title: res.msg,
            duration: 1500
          });

        }
      },
      fail: function (res) {
        console.log(res);
      }
    });
  }
});